CREATE TABLE cromosoma (
cromosoma VARCHAR(5) UNIQUE NOT NULL,
longitud INT(10) NOT NULL,
PRIMARY KEY (cromosoma)
);

INSERT INTO cromosoma VALUES ('I', 15072415), ('II', 15279344), ('III', 13783358), ('IV', 17493793), ('V', 20920651), ('MtDNA', 13271), ('X', 17718545);

CREATE TABLE elemento_genomico (
id_elemento INT NOT NULL AUTO_INCREMENT,
cromosoma VARCHAR(5) NOT NULL,
tipo_elemento VARCHAR(20),
elemento_genomico VARCHAR(15),
inicio INT(10),
fin INT (10),
cadena VARCHAR(1),
gen_name VARCHAR(20),
PRIMARY KEY (id_elemento),
FOREIGN KEY(cromosoma) REFERENCES cromosoma(cromosoma)
);

LOAD DATA LOCAL INFILE './Caenorhabditis_elegans.WBcel215.70_v2.gtf' INTO TABLE elemento_genomico (cromosoma, tipo_elemento, elemento_genomico, inicio, fin, cadena, gen_name);

SELECT inicio, fin FROM elemento_genomico WHERE gen_name = 'D1081.5' AND elemento_genomico = 'start_codon';
+---------+---------+
| inicio  | fin     |
+---------+---------+
| 8481208 | 8481210 |
+---------+---------+

SELECT DISTINCT gen_name FROM elemento_genomico WHERE cromosoma = 'II' AND inicio > 10000 AND fin < 20000;
+----------+
| gen_name |
+----------+
| C01B12.5 |
| C01B12.3 |
| C01B12.2 |
+----------+




